hadoop-common-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Todd Lipcon <t...@cloudera.com>
Subject Re: Sun JVM 1.6.0u18
Date Thu, 25 Feb 2010 19:18:43 GMT
On Thu, Feb 25, 2010 at 11:09 AM, Scott Carey <scott@richrelevance.com>wrote:

> On Feb 15, 2010, at 9:54 PM, Todd Lipcon wrote:
>
> > Hey all,
> >
> > Just a note that you should avoid upgrading your clusters to 1.6.0u18.
> > We've seen a lot of segfaults or bus errors on the DN when running
> > with this JVM - Stack found the ame thing on one of his clusters as
> > well.
> >
>
> Have you seen this for 32bit, 64 bit, or both?  If 64 bit, was it with
> -XX:+UseCompressedOops?
>

Just 64-bit, no compressed oops. But I haven't tested other variables.


>
> Any idea if there are Sun bugs open for the crashes?
>
>
I opened one, yes. I think Stack opened a separate one. Haven't heard back.


> I have found some notes that suggest that "-XX:-ReduceInitialCardMarks"
> will work around some known crash problems with 6u18, but that may be
> unrelated.
>
>
Yep, I think that is probably a likely workaround as well. For now I'm
recommending downgrade to our clients, rather than introducing cryptic XX
flags :)



> Lastly, I assume that Java 6u17 should work the same as 6u16, since it is a
> minor patch over 6u16 where 6u18 includes a new version of Hotspot.  Can
> anyone confirm that?
>
>
>
I haven't heard anything bad about u17 either. But since we know 16 to be
very good and nothing important is new in 17, I like to recommend 16 still.

-Todd

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message